Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.MessagePrefix Property
BaseDatabase Class See Also Send Feedback

The prefix string that appears before informational messages issued by Berkeley DB.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public string MessagePrefix { get; set; }

Visual Basic (Declaration)
    Public Property MessagePrefix As String

Visual C++
    public:
    property String^ MessagePrefix {
    	String^ get ();
    	void set (String^ value);
    }

# Remarks

For databases opened inside of a DatabaseEnvironment, setting MessagePrefix affects the entire environment and is equivalent to setting MessagePrefix.

# See Also

BaseDatabase Class
BerkeleyDB Namespace